/*
 * oclh_internals.h
 *
 *  Created on: 17 March 2020
 *      Author: havock
 */
#ifndef OCLH_INTERNALS_H_
#define OCLH_INTERNALS_H_ 1
#include <oclh_hd_std_types.clh>

typedef enum __GHE_CASE_SENSITIVITY {
    __GHE_CASE_SENSITIVE=0,
    __GHE_CASE_INSENSITIVE=1
} __GHE_CASE_SENS;

uint64_t __ghf_removePreNPostSpacesFromCharPtr(     char* const pcStr);
uint64_t __ghf_replaceIllegalFSCharsInCharPtr(      char* const pcStr);
uint64_t __ghf_replaceSpacesWithUnderscoreInCharPtr(char* const pcStr);
int32_t __ghf_concatHeapStrAndCharPtr(char** ppcDst, const char* const pcStr);
int32_t __ghf_cmpCharPtrAndWC(const char*           pcStr,
                              const char*           pcPattern,
                              const __GHE_CASE_SENS CaseSensFlag);

#endif
